#
# spec file for package mythweb
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
# Copyright (c) 2011,2012 Herbert Graeber
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%global _htmldir /srv/www/htdocs

%define manjor 30

# Save a previous major release
# NOTE: You should have made sure that name of the package is
# configured correctly and defines the expected version
# You can add the manjor macro in the name tag
# See: Conflicts Tag
%define pkgmanjor %(echo %{name} | sed -ne '/-/s/[^-]*//p' -ne '/-/!s/[^0-9]*//p')
%define statusrelease %(test -n '%{?pkgmanjor}' && echo legacy || echo current)

%if 0%{?pkgmanjor}
%define statusrelease legacy
%else
%define statusrelease current
%endif

Name:           mythweb
Version:        30.0+git.20190103.8dc8a715
Release:        1699.1.pm.3
Summary:        The web interface to MythTV
License:        GPL-2.0-or-later
Group:          Productivity/Multimedia/Video/Players
URL:            http://mythtv.org/
Source0:        mythweb-fixes-%{version}.tar.gz
Source120:      mythweb.conf
BuildRequires:  fdupes
Requires:       httpd
Requires:       mod_php_any
Requires:       php >= 5.1
Requires:       php-mysql
Requires:       php-mythtv >= %{version}
Provides:       mythweb-%{statusrelease}
Conflicts:      mythweb%{!?pkgmanjor:-legacy}
Conflicts:      mythweb-0_27
Conflicts:      mythweb-0_28
BuildArch:      noarch

%description
MythTV provides a unified graphical interface for recording and viewing
television programs.  Refer to the mythtv package for more information.

The web interface to MythTV.

%prep
%setup -q -n mythweb-fixes-%{version}

chmod -R g-w ./*
find . -name '*.php' -exec chmod -x "{}" \;

%build
:

%install
install -d %{buildroot}%{_htmldir}/mythweb
cp -a * %{buildroot}%{_htmldir}/mythweb/
install -d %{buildroot}%{_htmldir}/mythweb/{image_cache,php_sessions}
install -D %{SOURCE120} -m 644 %{buildroot}%{_sysconfdir}/apache2/conf.d/mythweb.conf
chmod a+x %{buildroot}%{_htmldir}/mythweb/modules/coverart/handler.pl
rm -f %{buildroot}%{_htmldir}/mythweb/data/.htaccess

%fdupes %{buildroot}%{_htmldir}/mythweb

%files
%defattr(0644,root,root,0755)
%license LICENSE
%doc README
%dir %{_sysconfdir}/apache2
%dir %{_sysconfdir}/apache2/conf.d
%config(noreplace) %{_sysconfdir}/apache2/conf.d/mythweb.conf
%defattr(-,wwwrun,www,0775)
%dir %{_htmldir}/mythweb
%{_htmldir}/mythweb/*
%exclude %{_htmldir}/mythweb/README

%changelog
* Thu Oct 31 2019 avvissu@yandex.by
- Update to version 30.0+git.20190103.8dc8a715:
  * Removes error messages from "Recorded Programs" page
  * Changes reference to mysql.txt to config.xml
  * Refs #1 - Test trac github integration
  * Fixes #13191 - Make mythweb use of CDN optional.
  * [php7] fix an incorrect conversion to mysqli_real_escape_string()
  * Fixes 13127 - Recognize shows in the 'météo' category as news.
* Wed Oct 24 2018 Alexei Podvalsky <avvissu@yandex.by>
- Update to 29.1+git.20180525.6a6eb1a4:
  * Use mythtv time, not unixtime to 'activate' a recording
  * Update flow player to 3.2.18
  * PHP7.1 Use of this is no longer allowed
  * Ensure fine tune is set and not empty
  * inetref cannot be NULL
  * Handle .m4v as video/mp4
  * Update mythweb jquery and prototype libraries and use CDN
  * Duplicate programs showing in listings.
- Add httpd and php-mythtv dependencies
- Drop the name macro (multiple package versions)
- Spec file cleanup
* Mon Jul 23 2018 os-dev@jacraig.com
- Fix wrong directory used in mythweb.conf.
* Thu Jun 28 2018 avvissu@yandex.by
- Update to version 0.28.2+git.20180201.af896aee:
  * Fixes #13191 - Make mythweb use of CDN optional.
- Add LICENSE file
- Rename htmldir > _htmldir
* Thu Aug  3 2017 avvissu@yandex.by
- Update to version 0.28.1+git.20170719.ed8d6a1c:
  * Fixes #12981 [php7.1] Use of this is no longer allowed
  * Fixes #13007 - Handle .m4v as video/mp4
  * Fixes #13041 - Update mythweb jquery and prototype libraries
  * Fixes #12822 - Duplicate programs showing in listings.
* Sun Feb  5 2017 avvissu@yandex.by
- Update to version 0.28.1+git.20170117.7ed09ed8:
  * Fix output of stars as float values.
  * [mythweb] Remove/changed some deprecated PHP7 functions
* Sun Nov  6 2016 avvissu@yandex.by
- Update to version 0.28+git.20161010.3fa642f
* Sat May 21 2016 avvissu@yandex.by
- Update to 0.28
  * see: https://www.mythtv.org/wiki/Release_Notes_-_0.28
- Update mythweb.conf
* Sun Apr  3 2016 olaf@aepfle.de
- drop Requires: php-MythTV-0_26, pkg does not exist
* Sat Jul  5 2014 herbert@links2linux.de
- Update to version 0.27.3
* Fri Oct 18 2013 herbert@links2linux.de
- Update to version 0.27
* Sat Nov 10 2012 herbert@links2linux.de
- Fix source package name
* Sat Nov 10 2012 herbert@links2linux.de
- Don't use sourec service
* Sat Nov 10 2012 herbert@links2linux.de
- don't use ssl for sourec url
* Sat Nov 10 2012 herbert@links2linux.de
- Update to version 0.26
* Wed Apr 11 2012 herbert@links2linux.de
- update to version 0.25
- move mythweb into /srv/www/htdocs
* Sat Mar 26 2011 herbert@links2linux.de
- Build as noarch
* Fri Mar 25 2011 herbert@links2linux.de
- Initial package
